Bug 35683 - Up-to-date App Center cache in system setup
Up-to-date App Center cache in system setup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Dirk Wiesenthal
Florian Best
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-22 06:46 CEST by Stefan Gohmann
Modified: 2014-11-26 06:53 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
No icons (82.23 KB, image/png)
2014-09-02 06:32 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-22 06:46:05 CEST
The system setup wizard uses the app center cache to show the installable software components. In UCS 4 this is done during the installation.

It can not be sure that we have a network connection during the UCS installation.

Thus a default cache should be part of the app center packages. Maybe this can be add to the package during the build of the package and can be copied in postinst.
Comment 1 Erik Damrose univentionstaff 2014-08-22 09:00:42 CEST
If we do this, we should also clone this bug against univention-system-setup, in order to let the u-s-s-boot package try to update this cache upon installation.
Comment 2 Florian Best univentionstaff 2014-08-29 09:11:08 CEST
Dirk: Can you please create the tar archive at package build time instead of uploading it to SVN?
Comment 3 Dirk Wiesenthal univentionstaff 2014-09-01 11:48:24 CEST
Fixed in
  univention-management-console-module-appcenter 4.0.0-3.262.201409011135

Not downloading in debian/rules right now. Our build environment is a chroot in UCS 3.2, not a full UCS 4.0. But I would need $(ucr get version/version)
Comment 4 Stefan Gohmann univentionstaff 2014-09-02 06:32:06 CEST
I'm not sure if this bug introduced it but I currently don't see any icons in the app center.
Comment 5 Stefan Gohmann univentionstaff 2014-09-02 06:32:36 CEST
Created attachment 6083 [details]
No icons
Comment 6 Dirk Wiesenthal univentionstaff 2014-09-02 10:50:04 CEST
(In reply to Stefan Gohmann from comment #4)
> I'm not sure if this bug introduced it but I currently don't see any icons
> in the app center.

Yes, introduced here. Fixed in
  univention-management-console-module-appcenter 4.0.0-4.263.201409021032
Comment 7 Florian Best univentionstaff 2014-09-05 12:10:20 CEST
REOPEN: Well, Bug #35731 made the QA a little bit harder.
I skipped the network settings when installing UCS 4.0-0. Then i set up my localhost network by "ip l set up lo" and "a2dismod ssl; invoke-rc.d apache2 start".
Reloading USS then gives me an empty app list. /var/cache/univention-management-console/appcenter is empty.

OK: The app icons are now correctly displayed again.
Comment 8 Florian Best univentionstaff 2014-09-05 12:11:53 CEST
Solution: probably doing a appcenter/query request before starting USS.
Comment 9 Dirk Wiesenthal univentionstaff 2014-09-30 09:59:35 CEST
Should be fixed now in
  univention-management-console-module-appcenter 4.0.0-5.265.201409291258
Comment 10 Dirk Wiesenthal univentionstaff 2014-09-30 10:03:54 CEST
As for the changeset:

It is in app_center.py

if cls._all_applications is None:
	cls._all_applications = []
+	# first of all, look for local archive
+	cls._extract_local_archive()
	# query all applications from the server
	if not only_local:
		cls.sync_with_server()
Comment 11 Florian Best univentionstaff 2014-10-07 12:05:47 CEST
OK: works fine now!
REOPEN: changelog?
Comment 12 Dirk Wiesenthal univentionstaff 2014-10-17 09:54:33 CEST
Changelog added
Comment 13 Stefan Gohmann univentionstaff 2014-10-19 19:52:45 CEST
Move all unfinished MS1 and MS2 bugs to RC.
Comment 14 Florian Best univentionstaff 2014-10-20 10:14:46 CEST
OK
Comment 15 Stefan Gohmann univentionstaff 2014-11-26 06:53:50 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".